@MIT_SCHEME_DEPS@
stamp-scheme: stamp-shim $(sources) blowfish.pkg
touch stamp-scheme
- if ! echo '(load "compile.scm")' \
- | $(MIT_SCHEME_EXE) --prepend-library . --batch-mode; then \
- rm stamp-scheme; exit 1; fi
+ if ! ./compile.sh; then rm stamp-scheme; exit 1; fi
CLEANFILES = blowfish-const* blowfish-shim.c
CLEANFILES += *.bin *.ext *.com *.bci *.moc *.fni *.crf *.fre *.pkd
--- /dev/null
+#!/bin/sh
+# -*-Scheme-*-
+#
+# Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
+# 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
+# 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014,
+# 2015, 2016, 2017 Massachusetts Institute of Technology
+#
+# This file is part of a Blowfish plugin for MIT/GNU Scheme.
+#
+# This plugin is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This plugin is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this plugin; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+# Compile the Blowfish option.
+
+set -e
+: ${MIT_SCHEME_EXE=mit-scheme}
+${MIT_SCHEME_EXE} --prepend-library . --batch-mode <<\EOF
+(load "compile.scm")
+EOF
+suffix=`echo "(display (microcode-id/operating-system-suffix))" \
+ | ${MIT_SCHEME_EXE} --batch-mode`
+report=blowfish-$suffix.crf
+if [ -s "$report" ]; then
+ echo "$0: warning: $report is not empty"
+ awk "{printf \"$report:%d: %s\\n\",NR,\$0}" $report
+ exit 1
+fi
@MIT_SCHEME_DEPS@
stamp-scheme: stamp-shim $(sources) gdbm.pkg
touch stamp-scheme
- if ! echo '(load "compile.scm")' \
- | $(MIT_SCHEME_EXE) --prepend-library . --batch-mode; then \
- rm stamp-scheme; exit 1; fi
+ if ! ./compile.sh; then rm stamp-scheme; exit 1; fi
CLEANFILES = gdbm-const* gdbm-shim.c
CLEANFILES += *.bin *.ext *.com *.bci *.moc *.fni *.crf *.fre *.pkd
--- /dev/null
+#!/bin/sh
+# -*-Scheme-*-
+#
+# Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
+# 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
+# 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014,
+# 2015, 2016, 2017 Massachusetts Institute of Technology
+#
+# This file is part of a gdbm plugin for MIT/GNU Scheme.
+#
+# This plugin is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This plugin is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this plugin; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+# Compile the GDBM option.
+
+set -e
+: ${MIT_SCHEME_EXE=mit-scheme}
+${MIT_SCHEME_EXE} --prepend-library . --batch-mode <<\EOF
+(load "compile.scm")
+EOF
+suffix=`echo "(display (microcode-id/operating-system-suffix))" \
+ | ${MIT_SCHEME_EXE} --batch-mode`
+report=gdbm-$suffix.crf
+if [ -s "$report" ]; then
+ echo "$0: warning: $report is not empty"
+ awk "{printf \"$report:%d: %s\\n\",NR,\$0}" $report
+ exit 1
+fi
@MIT_SCHEME_DEPS@
stamp-scheme: stamp-shim $(sources) mcrypt.pkg
touch stamp-scheme
- if ! echo '(load "compile.scm")' \
- | $(MIT_SCHEME_EXE) --prepend-library . --batch-mode; then \
- rm stamp-scheme; exit 1; fi
+ if ! ./compile.sh; then rm stamp-scheme; exit 1; fi
CLEANFILES = mcrypt-const* mcrypt-shim.c
CLEANFILES += *.bin *.ext *.com *.bci *.moc *.fni *.crf *.fre *.pkd
--- /dev/null
+#!/bin/sh
+# -*-Scheme-*-
+#
+# Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
+# 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
+# 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014,
+# 2015, 2016, 2017 Massachusetts Institute of Technology
+#
+# This file is part of a mcrypt plugin for MIT/GNU Scheme.
+#
+# This plugin is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This plugin is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this plugin; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+# Compile the Mcrypt option.
+
+set -e
+: ${MIT_SCHEME_EXE=mit-scheme}
+${MIT_SCHEME_EXE} --prepend-library . --batch-mode <<\EOF
+(load "compile.scm")
+EOF
+suffix=`echo "(display (microcode-id/operating-system-suffix))" \
+ | ${MIT_SCHEME_EXE} --batch-mode`
+report=mcrypt-$suffix.crf
+if [ -s "$report" ]; then
+ echo "$0: warning: $report is not empty"
+ awk "{printf \"$report:%d: %s\\n\",NR,\$0}" $report
+ exit 1
+fi
@MIT_SCHEME_DEPS@
stamp-scheme: stamp-shim $(sources) mhash.pkg
touch stamp-scheme
- if ! echo '(load "compile.scm")' \
- | $(MIT_SCHEME_EXE) --prepend-library . --batch-mode; then \
- rm stamp-scheme; exit 1; fi
+ if ! ./compile.sh; then rm stamp-scheme; exit 1; fi
CLEANFILES = mhash-const* mhash-shim.c
CLEANFILES += *.bin *.ext *.com *.bci *.moc *.fni *.crf *.fre *.pkd
--- /dev/null
+#!/bin/sh
+# -*-Scheme-*-
+#
+# Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
+# 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
+# 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014,
+# 2015, 2016, 2017 Massachusetts Institute of Technology
+#
+# This file is part of a mhash plugin for MIT/GNU Scheme.
+#
+# This plugin is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This plugin is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this plugin; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+# Compile the Mhash option.
+
+set -e
+: ${MIT_SCHEME_EXE=mit-scheme}
+${MIT_SCHEME_EXE} --prepend-library . --batch-mode <<\EOF
+(load "compile.scm")
+EOF
+suffix=`echo "(display (microcode-id/operating-system-suffix))" \
+ | ${MIT_SCHEME_EXE} --batch-mode`
+report=mhash-$suffix.crf
+if [ -s "$report" ]; then
+ echo "$0: warning: $report is not empty"
+ awk "{printf \"$report:%d: %s\\n\",NR,\$0}" $report
+ exit 1
+fi
@MIT_SCHEME_DEPS@
stamp-scheme: stamp-shim $(sources) pgsql.pkg
touch stamp-scheme
- if ! echo '(load "compile.scm")' \
- | $(MIT_SCHEME_EXE) --prepend-library . --batch-mode; then \
- rm stamp-scheme; exit 1; fi
+ if ! ./compile.sh; then rm stamp-scheme; exit 1; fi
CLEANFILES = pgsql-const* pgsql-shim.c
CLEANFILES += *.bin *.ext *.com *.bci *.moc *.fni *.crf *.fre *.pkd
--- /dev/null
+#!/bin/sh
+# -*-Scheme-*-
+#
+# Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
+# 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
+# 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014,
+# 2015, 2016, 2017 Massachusetts Institute of Technology
+#
+# This file is part of a PostgreSQL plugin for MIT/GNU Scheme.
+#
+# This plugin is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This plugin is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this plugin; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+# Compile the PostgreSQL option.
+
+set -e
+: ${MIT_SCHEME_EXE=mit-scheme}
+${MIT_SCHEME_EXE} --prepend-library . --batch-mode <<\EOF
+(load "compile.scm")
+EOF
+suffix=`echo "(display (microcode-id/operating-system-suffix))" \
+ | ${MIT_SCHEME_EXE} --batch-mode`
+report=pgsql-$suffix.crf
+if [ -s "$report" ]; then
+ echo "$0: warning: $report is not empty"
+ awk "{printf \"$report:%d: %s\\n\",NR,\$0}" $report
+ exit 1
+fi
(cref/generate-constructors "x11-screen")
)
EOF
-SUFFIX=`echo "(display (microcode-id/operating-system-suffix))" \
+suffix=`echo "(display (microcode-id/operating-system-suffix))" \
| ${MIT_SCHEME_EXE} --batch-mode`
-REPORT=x11-screen-$SUFFIX.crf
-if [ -s "$REPORT" ]; then echo "$REPORT:1: error: not empty"; exit 1; fi
+report=x11-screen-$suffix.crf
+if [ -s "$report" ]; then
+ echo "$0: warning: $report is not empty"
+ awk "{printf \"$report:%d: %s\\n\",NR,\$0}" $report
+ exit 1
+fi
(cref/generate-constructors "x11")
)
EOF
-SUFFIX=`echo "(display (microcode-id/operating-system-suffix))" \
+suffix=`echo "(display (microcode-id/operating-system-suffix))" \
| ${MIT_SCHEME_EXE} --batch-mode`
-REPORT=x11-$SUFFIX.crf
-if [ -s "$REPORT" ]; then echo "$REPORT:1: error: not empty"; exit 1; fi
+report=x11-$suffix.crf
+if [ -s "$report" ]; then
+ echo "$0: warning: $report is not empty"
+ awk "{printf \"$report:%d: %s\\n\",NR,\$0}" $report
+ exit 1
+fi